# $Revision: 1.21 $, $Date: 2004/07/08 12:29:02 $
Summary:	A race game
Summary(pl):	Gra - wycigi samochodowe
Name:		race
Version:	0.7.0
Release:	5
License:	GPL except music
Group:		X11/Applications/Games
Source0:	http://race.sourceforge.net/files/Race-%{version}-2_src.tar.gz
# Source0-md5:	e4442f72506f1c6d4086c7b051fb06e0
Source1:	%{name}.desktop
Patch0:		%{name}-cflags.patch
Patch1:		%{name}-api_fix.patch
URL:		http://race.sourceforge.net/
BuildRequires:	ClanLib-devel >= 0.6.1-4
BuildRequires:	ClanLib-OpenGL-devel >= 0.6.1-4
BuildRequires:	ClanLib-Vorbis-devel >= 0.6.1-4
BuildRequires:	autoconf
BuildRequires:	gcc-c++
Requires:	/bin/sh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Race is a 3d car game. It is playable and has a few tracks but it
still lacks some features.

%description -l de
Race ist ein zweidimensionales Kraftwagen-Spiel. Es ist spielbar und
hat ein paar Trassen, aber ein paar Funktionen fehlen ihm nach.

%description -l pl
Race jest trjwymiarow gr samochodow. Jest ona grywalna i wyposaona
w kilka tras, lecz nadal brakuje jej kilku funkcji.

%prep
%setup -q -n Race-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure \
	--enable-sound

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_datadir}/%{name}/{data,themes,tracks,cars,resources}} \
	$RPM_BUILD_ROOT%{_desktopdir}

cp %{name} $RPM_BUILD_ROOT%{_libdir}
cat>$RPM_BUILD_ROOT%{_bindir}/%{name} <<EOF
#!/bin/sh
cd %{_datadir}/%{name}
exec %{_libdir}/%{name}
EOF
cp -a data/*	$RPM_BUILD_ROOT%{_datadir}/%{name}/data
cp -a themes/*	$RPM_BUILD_ROOT%{_datadir}/%{name}/themes
cp -a tracks/*	$RPM_BUILD_ROOT%{_datadir}/%{name}/tracks
cp -a cars/*	$RPM_BUILD_ROOT%{_datadir}/%{name}/cars
cp -a resources/* $RPM_BUILD_ROOT%{_datadir}/%{name}/resources
cp %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* COPYING.music
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/race
%{_datadir}/%{name}
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: race.spec,v $
Revision 1.21  2004/07/08 12:29:02  qboosh
- files fix, release 5

Revision 1.20  2004/07/04 21:18:16  havner
- applnk -> vfolders

Revision 1.19  2004/04/26 18:31:51  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.18  2004/04/05 19:20:07  adamg
- fixed group

Revision 1.17  2004/01/24 23:24:21  averne
- added missing BRs

Revision 1.16  2003/08/18 08:09:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/08/06 11:25:37  qboosh
- use __autoconf macro

Revision 1.14  2003/05/28 13:01:35  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:26:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/01/18 22:56:18  juandon
- removed two lines with define

Revision 1.11  2002/07/20 16:06:20  kloczek
- release 2.

Revision 1.10  2002/07/19 15:28:39  blues
- small fix in license (we do not include music... yet - if someone want
  to - please include it in separate package...)

Revision 1.9  2002/07/14 12:13:19  blues
- release 1
- added api_fix patch to build with new ClanLib
- builds, works

Revision 1.8  2002/07/11 03:14:23  blues
- more BR

Revision 1.7  2002/07/11 03:11:26  blues
- 0.7.0
- new URL
- more requires
- rel. 0.1 - does not build :( some API incompatibilities...

Revision 1.6  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/12 14:51:30  qboosh
- adapterized, pl summary, cosmetics

Revision 1.3  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.2  2000/09/17 16:46:44  saq
- language fix

Revision 1.1  2000/09/01 14:19:42  saq
- initial release
